Skip to content

Operations in the Tax group.

Base URLhttps://api.damedoklad.cz/v1AuthenticationErrors and limitsConventions

Carry out the § 74b correction of one received invoice as computed: per VAT rate, in crowns, for the part that is due, posted to 343, reported in the period the Act sets

POST/v1/tax/bad-debts/debtor-due/{id}/correct

Carry out the § 74b correction of one received invoice as computed: per VAT rate, in crowns, for the part that is due, posted to 343, reported in the period the Act sets

MCP tool: correct-tax-debtor-deduction

Path parameters

idstringrequired

Request body

action"reduce" | "restore"required
correctionDatestringYYYY-MM-DD
Date as YYYY-MM-DD.
evidenceNumberstringmax 60 chars

Response · 201

documentIdnull | stringrequired
actionstringrequired
dataobject[]required
idstringrequired
correctionDatestringrequireddate
vatRateintegerrequired
unpaidHalerintegerrequired
baseHalerinteger | nullrequired
vatHalerinteger | nullrequired
POST/v1/tax/bad-debts/debtor-due/{id}/correct
curl -X POST https://api.damedoklad.cz/v1/tax/bad-debts/debtor-due/obj_2n9F4kT7wQ1xYz0aBcDeFgHiJkL/correct \
  -H "Authorization: Bearer $DAMEDOKLAD_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "reduce"
}'